Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.annotation.expression.ast
Class AnnotationParser

    java.lang.Object
      org.codehaus.aspectwerkz.annotation.expression.ast.AnnotationParser

All Implemented Interfaces:
  AnnotationParserConstants, AnnotationParserTreeConstants

    public class AnnotationParser

extends Object
implements AnnotationParserTreeConstants, AnnotationParserConstants

The annotation parser.

Author:
  Jonas Bonr

Field Summary
`static Token` | `jj_nt`
`protected static org.codehaus.aspectwerkz.annotation.expression.ast.JJTAnnotationParserState` | `jjtree`
`static boolean` | `lookingAhead`
`static Token` | `token`
`static AnnotationParserTokenManager` | `token_source`

Fields inherited from interface org.codehaus.aspectwerkz.annotation.expression.ast.AnnotationParserTreeConstants
`JJTANNOTATION, JJTARRAY, JJTBOOLEAN, JJTCHAR, JJTFLOAT, JJTHEX, JJTIDENTIFIER, JJTINTEGER, JJTKEYVALUEPAIR, jjtNodeName, JJTOCT, JJTROOT, JJTSTRING, JJTVOID`

Fields inherited from interface org.codehaus.aspectwerkz.annotation.expression.ast.AnnotationParserConstants
`ANNOTATION, AT, BOOLEAN, CHAR, COMMA, DEFAULT, DIGIT, DOT, EOF, EQUALS, EXPONENT, FLOAT, HEXNUMBER, INTEGER, JAVA_LETTER, JAVA_NAME, JAVA_TYPE, JAVA_TYPE_MAYBEARRAY, LEFT_BRACKET, LEFT_PARENTHEZIS, NEWLINE, OCTNUMBER, RIGHT_BRACKET, RIGHT_PARENTHEZIS, STRING, tokenImage`

Constructor Summary
`AnnotationParser(AnnotationParserTokenManager tm)`
`AnnotationParser(InputStream stream)`
`AnnotationParser(Reader stream)`

Method Summary
`static void` | `Annotation()` Annotation.
`static void` | `Array()` Array.
`static void` | `Boolean()` Boolean.
`static void` | `Char()` Char.
`static void` | `disable_tracing()`
`static void` | `enable_tracing()`
`static void` | `Float()` Float.
`static ParseException` | `generateParseException()`
`static Token` | `getNextToken()`
`static Token` | `getToken(int index)`
`static void` | `Hex()` Hex.
`static void` | `Identifier()` Identifier.
`static void` | `Integer()` Integer.
`static void` | `KeyValuePair()` KeyValuePair.
`static void` | `KeyValuePairList()` KeyValuePairList.
`static void` | `Oct()` Oct.
`ASTRoot` | `parse(Reader reader)`
`ASTRoot` | `parse(String annotation)`
`void` | `ReInit(AnnotationParserTokenManager tm)`
`static void` | `ReInit(InputStream stream)`
`static void` | `ReInit(Reader stream)`
`static ASTRoot` | `Root()` Entry point.
`static void` | `String()` String.
`static void` | `Value()` Value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### jjtree

    protected static org.codehaus.aspectwerkz.annotation.expression.ast.JJTAnnotationParserState jjtree

### token_source

    public static AnnotationParserTokenManager token_source

### token

    public static Token token

### jj_nt

    public static Token jj_nt

### lookingAhead

    public static boolean lookingAhead

Constructor Detail

### AnnotationParser

    public AnnotationParser(InputStream stream)

### AnnotationParser

    public AnnotationParser(Reader stream)

### AnnotationParser

    public AnnotationParser(AnnotationParserTokenManager tm)

Method Detail

### parse

    public ASTRoot parse(String annotation)
                  throws ParseException

  Throws:
    `ParseException`

### parse

    public ASTRoot parse(Reader reader)
                  throws ParseException

  Throws:
    `ParseException`

### Root

    public static final ASTRoot Root()
                              throws ParseException

  Entry point.

  Throws:
    `ParseException`

### Annotation

    public static final void Annotation()
                                 throws ParseException

  Annotation.

  Throws:
    `ParseException`

### KeyValuePairList

    public static final void KeyValuePairList()
                                       throws ParseException

  KeyValuePairList.

  Throws:
    `ParseException`

### KeyValuePair

    public static final void KeyValuePair()
                                   throws ParseException

  KeyValuePair.

  Throws:
    `ParseException`

### Value

    public static final void Value()
                            throws ParseException

  Value.

  Throws:
    `ParseException`

### Identifier

    public static final void Identifier()
                                 throws ParseException

  Identifier.

  Throws:
    `ParseException`

### Boolean

    public static final void Boolean()
                              throws ParseException

  Boolean.

  Throws:
    `ParseException`

### Char

    public static final void Char()
                           throws ParseException

  Char.

  Throws:
    `ParseException`

### String

    public static final void String()
                             throws ParseException

  String.

  Throws:
    `ParseException`

### Array

    public static final void Array()
                            throws ParseException

  Array.

  Throws:
    `ParseException`

### Integer

    public static final void Integer()
                              throws ParseException

  Integer.

  Throws:
    `ParseException`

### Float

    public static final void Float()
                            throws ParseException

  Float.

  Throws:
    `ParseException`

### Hex

    public static final void Hex()
                          throws ParseException

  Hex.

  Throws:
    `ParseException`

### Oct

    public static final void Oct()
                          throws ParseException

  Oct.

  Throws:
    `ParseException`

### ReInit

    public static void ReInit(InputStream stream)

### ReInit

    public static void ReInit(Reader stream)

### ReInit

    public void ReInit(AnnotationParserTokenManager tm)

### getNextToken

    public static final Token getNextToken()

### getToken

    public static final Token getToken(int index)

### generateParseException

    public static ParseException generateParseException()

### enable_tracing

    public static final void enable_tracing()

### disable_tracing

    public static final void disable_tracing()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.